# Poco

# class EventArgs

Library: Foundation
Package: Events
Header: Poco/EventArgs.h

## Description

The purpose of the EventArgs class is to be used as parameter when one doesn't want to send any data.

One can use EventArgs as a base class for one's own event arguments but with the arguments being a template parameter this is not necessary.

## Constructors

### EventArgs

EventArgs();

## Destructor

### ~EventArgs

virtual ~EventArgs();